Skip to content

Enable app ROOT

Request

Enable ROOT permission for a specific app package on a single cloud phone.

Security
Authorization
Bodyapplication/jsonrequired
idinteger, (int64)required

Cloud Phone ID

Example:12345678
packageNamesArray of stringsrequired

List of application package names to allow ROOT access

Example:
[ "com.test" ]
POST
/cloudphone/app/openRoot
curl -i -X POST \
  https://api.MoreLogin.com/cloudphone/app/openRoot \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": 12345678,
    "packageNames": [
      "com.test"
    ]
  }'

Responses

Bodyapplication/json
codeinteger

Response code: 0 = success, >0 = error

dataobject

Empty response data

Example:
{}
msgstring

Message; populated if code > 0

Response
{ "code": 0, "data": {}, "msg": "string" }